SpeciesCSVLineProcessor (images Maven Webapp 1.2.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.images
Class SpeciesCSVLineProcessor

    java.lang.Object
      org.gcube.application.aquamaps.images.SpeciesCSVLineProcessor

All Implemented Interfaces:
  net.sf.csv4j.CSVLineProcessor

    public class SpeciesCSVLineProcessor

extends Object
implements net.sf.csv4j.CSVLineProcessor

Constructor Summary
`SpeciesCSVLineProcessor(String scope, int suitableID, int suitable2050ID, int nativeID, int native2050ID)`

Method Summary
`boolean` | `continueProcessing()`
`long` | `getCount()`
`void` | `processDataLine(int arg0, List<String> arg1)`
`void` | `processHeaderLine(int arg0, List<String> arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpeciesCSVLineProcessor

    public SpeciesCSVLineProcessor(String scope,
                                   int suitableID,
                                   int suitable2050ID,
                                   int nativeID,
                                   int native2050ID)
                            throws Exception

Throws:
  `Exception`

Method Detail

### continueProcessing

    public boolean continueProcessing()

  Specified by:
    `continueProcessing` in interface `net.sf.csv4j.CSVLineProcessor`

### processDataLine

    public void processDataLine(int arg0,
                                List<String> arg1)

  Specified by:
    `processDataLine` in interface `net.sf.csv4j.CSVLineProcessor`

### processHeaderLine

    public void processHeaderLine(int arg0,
                                  List<String> arg1)

  Specified by:
    `processHeaderLine` in interface `net.sf.csv4j.CSVLineProcessor`

### getCount

    public long getCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.